For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact SupportGet Started
  • Modernfi Developer Hub
    • Overview for Developers
    • Getting Started
  • Topics
    • Using the Sandbox
    • Authentication
    • Account Structure
    • Idempotency
    • Transaction Records and Sweeps
    • Balance Fields
    • Interest
    • Reports
    • Versioning
    • Changelog
  • API Reference
      • POSTCreate Depositor
      • GETGet Depositor
      • PATCHUpdate Depositor
LogoLogo
Contact SupportGet Started
API ReferenceDepositors

Create Depositor

POST
/digital-banking/v1/depositors
POST
/digital-banking/v1/depositors
$curl -X POST https://api.modernfi.com/digital-banking/v1/depositors \
> -H "idempotency-key: idempotency-key" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "tin": "string"
>}'
1{
2 "id": "string",
3 "institution_id": "string",
4 "institution_depositor_id": "string",
5 "first_name": "string",
6 "last_name": "string",
7 "entity_name": "string",
8 "is_organization": true,
9 "phone_numbers": [
10 {
11 "number": "string",
12 "is_primary": true
13 }
14 ],
15 "emails": [
16 {
17 "email_address": "string",
18 "is_primary": true
19 }
20 ],
21 "addresses": [
22 {
23 "street": "string",
24 "city": "string",
25 "state": "string",
26 "zip": "string",
27 "country_code": "string",
28 "is_primary": true
29 }
30 ],
31 "depositor_type": "CONSUMER",
32 "ownership_category": "JOINT",
33 "account_officer": "string",
34 "notes": "string",
35 "tin": "string"
36}
Was this page helpful?
Previous

Get Depositor

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

idempotency-keystringRequired

Request

This endpoint expects an object.
tinstringRequired<=64 characters
TIN must be unique per institution
first_namestring or nullOptional<=32 characters
last_namestring or nullOptional<=32 characters
entity_namestring or nullOptional<=64 characters
is_organizationbooleanOptionalDefaults to false
institution_depositor_idstring or nullOptional<=64 characters
phone_numberslist of objects or nullOptional
emailslist of objects or nullOptional
addresseslist of objects or nullOptional
account_idslist of strings or nullOptional
depositor_typeenum or nullOptional
ownership_categoryenum or nullOptional
account_officerstring or nullOptional<=128 characters
notesstring or nullOptional<=256 characters

Response

Successful Response
idstring
institution_idstring
institution_depositor_idstring or null
first_namestring or null
last_namestring or null
entity_namestring or null
is_organizationboolean
phone_numberslist of objects
emailslist of objects
addresseslist of objects
depositor_typeenum
ownership_categoryenum or null
account_officerstring or null
notesstring or null
tinstring or nullDeprecated

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
422
Unprocessable Entity Error
500
Internal Server Error